package com.nantian.cloud.jly.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jly.entity.ConfigureGauge;
import com.nantian.cloud.jly.vo.StatisticsVo;
import com.nantian.sc.cloud.common.core.util.R;
import org.apache.xmlbeans.impl.piccolo.io.FileFormatException;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;


/**
 * 请假流程
 *
 * @author
 * @date 2018-09-27 15:20:44
 */
public interface ConfigureGaugeService extends IService<ConfigureGauge> {

    List<StatisticsVo> getGaugesStatistics();

    IPage getPageData(Page page, String areaCodes, String industryCode, String cmpName,String meterLevel,String cmp, String location,String type);

    IPage<ConfigureGauge> pageCmp(Page page, ConfigureGauge configureGauge);

    //导入excel
    R excelImport(MultipartFile file,String epc,String meterLevel) throws FileFormatException;

    Integer getNotCertified(String enterpriseCode);

    List<ConfigureGauge> getList(String epc);

    void updateConfigureGaugeState();
}

